<?php
/*~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!
!		!!! Разработка сайтов и отдельных модулей на PHP !!!
!	* - Автор скрипата   :  lugaro
!	* - E-mail           :  lugaro@bk.ru
!	* - Сайт             :  wapNEW.ru
!	* - ICQ              :  2000882
~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!~!*/
$tmp = $_SERVER['DOCUMENT_ROOT'].'/foto/tmp/';
if(filemtime($tmp.'count.dat') < (time() - 1)){
	$konf_albom = parse_ini_file($tmp.'konf.ini');
	$count_foto = mysql_fetch_assoc(mysql_query("SELECT COUNT(*) AS foto,
	(SELECT COUNT(*)  FROM `foto_file` WHERE time > " . (time() - $konf_albom['new_time']) . " AND `mod` = 0) AS new,
	(SELECT COUNT(*)  FROM `foto_file` WHERE `mod` = 1) AS `mod`
	FROM `foto_file` WHERE `mod` = 0"));
	$f = fopen($tmp.'count.dat', 'w');
	flock ($f,LOCK_EX);
	fwrite($f, serialize($count_foto));
	flock ($f,LOCK_UN);
	fclose($f);
	@chmod($name, 0666);
}
$count = unserialize(file_get_contents($tmp.'count.dat'));
$mod = ($rights >= 4) && $count['mod']? '<a href="/foto/?mod=moder" title="'.$count['mod'].' фото на модерацие Внимание!! счетчик обновляется рас в 10 мин"><b style="color:#FF0000">+'.$count['mod'].'</b></a>' : '';
$new = $count['new'] ? '/+'.$count['new'] : '';
$count_albom =  '['.$count['foto'].$new.'] '.$mod;
?>